org.apache.ignite.internal.processors.cache.persistence

## Class CorruptedDataStructureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.CorruptedDataStructureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CorruptedFreeListException, CorruptedPartitionMetaPageException, CorruptedTreeException

    public abstract class CorruptedDataStructureException
    extends IgniteCheckedException

Abstract exception when `DataStructure` are corrupted.

See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `grpId` Cache group id.
`protected long[]` `pageIds` PageId's that can be corrupted.

### Constructor Summary

Constructors
`protected` `CorruptedDataStructureException(String msg, @Nullable Throwable cause, int grpId, long[] pageIds)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`long[]` `pageIds()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grpId

    protected final int grpId

Cache group id.

#### pageIds

    protected final long[] pageIds

PageId's that can be corrupted.

### Constructor Detail

#### CorruptedDataStructureException

    protected CorruptedDataStructureException(String msg,
                                              @Nullable
                                              @Nullable Throwable cause,
                                              int grpId,
                                              long[] pageIds)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.
  `grpId` - Cache group id.
  `pageIds` - PageId's that can be corrupted.

### Method Detail

#### pageIds

    public long[] pageIds()

Returns:
  Cache group id.

#### groupId

    public int groupId()

Returns:
  PageId's that can be corrupted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023